"use strict";
function getDevice(){
  if(screen.width > 767){
    return "pc";
  }
  return "sp";
}

$(function(){
  var windowObj = $(window);


  /* ページトップ */
  var pagetop = $(".pagetop");
  var windowHeight = windowObj.height();
  var topWindow = windowObj.scrollTop();
  /* スクロール後に表示させる */
  pagetop.hide();
  windowObj.on("scroll", function(){
    if($(this).scrollTop() > 100){
      pagetop.fadeIn("slow");
    }else{
      pagetop.fadeOut("slow");
    }
  });
  /* クリック時スクロールアニメーション */
  pagetop.on("click", function(){
    $("body, html").animate({scrollTop: 0}, 500);
    return false;
  });

  /* スマホ用メニュボタン */
$(function() {
$('#nav-toggle').on('click', function() {
$('header').toggleClass('open');
});
});


  /* #で始まるアンカーをクリックした場合に処理 */
  $('a[href^="#"]').on("click",function(){
    var speed = 1000;
    var href = $(this).attr("href");
    var target = $(href === "" ? "html" : href);
    var position = target.offset().top;
    $("body, html").animate({scrollTop:position}, speed, "swing");
    return false;
  });
});


  /* mainコンタクトとコピーライトのfixd用 */
$(function() {
	"use strict";
  var $win = $(window),
      $main = $('.contact a'),
      animationClass = 'is-animation02';

  $win.on('load scroll', function() {
    var value = $(this).scrollTop();
    if ( value > 300 ) {
      $main.addClass(animationClass);
    } else {
      $main.removeClass(animationClass);
    }
  });
});

$(function() {
	"use strict";
  var $win = $(window),
      $main = $('.copy p'),
      animationClass = 'is-animation03';

  $win.on('load scroll', function() {
    var value = $(this).scrollTop();
    if ( value > 300 ) {
      $main.addClass(animationClass);
    } else {
      $main.removeClass(animationClass);
    }
  });
});


  /* ヘッダー背景後出し */
$(function() {
  var $win = $(window),
      $header = $('header'),
      animationClass = 'is-animation';

  $win.on('load scroll', function() {
    var value = $(this).scrollTop();
    if ( value > 300 ) {
      $header.addClass(animationClass);
    } else {
      $header.removeClass(animationClass);
    }
  });
});


  /* 背景ずらす */

$(window).on('scroll', function(){

  var scrollTop = $(window).scrollTop();
  var bgPosition = scrollTop / 2; //スクロール後のポジションを指定（値を大きくすると移動距離が小さくなる）

  if(bgPosition){
    $('.bg_p').css('background-position', 'center top -'+ bgPosition + 'px');
  }
});